import * as _nuxt_schema from '@nuxt/schema';
import { Options } from 'unplugin-element-plus/types';

interface ModuleOptions {
    autoImport: boolean;
    unpluginOptions?: Partial<Options>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

declare module '@nuxt/schema' {
    interface NuxtConfig {
        element?: Partial<ModuleOptions>;
    }
    interface NuxtOptions {
        element?: Partial<ModuleOptions>;
    }
}

export { ModuleOptions, _default as default };
